package cn.fw.morax.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@ConfigurationProperties(prefix = "special-indicator-code")
@Component
public class SpecialIndicatorCodeVal {

    /**
     * 基本工资
     */
    private String baseSalary;

    /**
     * 工龄
     */
    private String workAge;

    /**
     * 工作占比
     */
    private String workDayProportion;

    /**
     * 车系
     */
    private String carSeries;

    /**
     * 绩效得分率
     */
    private String kpiRatio;

    /**
     * 考评得分率
     */
    private String evalRatio;

}
