package cn.fw.morax.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@ConfigurationProperties(prefix = "todo")
@Component
public class TodoVal {

    /**
     * 薪酬确认
     */
    private String personConfirm;

    /**
     * 支付工资
     */
    private String paySalaryNotice;

    /**
     * 绩效组变动
     */
    private String kpiGroupChange;

    /**
     * 薪酬组变动
     */
    private String salaryGroupChange;

    /**
     * 指标导入
     */
    private String evalIndicatorImport;

    /**
     * 分配考评奖励
     */
    private String distEvalReward;

}
