package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalGroupRewardHitLog;
import cn.fw.morax.domain.vo.eval.EvalGroupRewardHitLogVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评指标达成目标记录 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupRewardHitLogDao extends BaseMapper<EvalGroupRewardHitLog> {

    List<EvalGroupRewardHitLogVO> getUserHitLogs(@Param("evalGroupRewardId")Long evalGroupRewardId, @Param("dataDate")LocalDate dataDate);

    List<EvalGroupRewardHitLogVO> getShopHitLogs(@Param("evalGroupRewardId")Long evalGroupRewardId, @Param("dataDate")LocalDate dataDate);

}
