package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalIndicatorImportDetail;
import cn.fw.morax.domain.db.eval.EvalIndicatorImportRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评指标导入记录 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2023-01-30
 */
public interface EvalIndicatorImportDetailDao extends BaseMapper<EvalIndicatorImportDetail> {

    List<EvalIndicatorImportDetail> getUserLastValue(@Param("recordId") Long recordId);

    List<EvalIndicatorImportDetail> getShopLastValue(@Param("recordId") Long recordId);

}
