package cn.fw.morax.dao.kpi;


import cn.fw.morax.domain.db.kpi.KpiAssess;
import cn.fw.morax.domain.enums.KpiAssessTypeEnum;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 人员质量考核配置 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
public interface KpiAssessDao extends BaseMapper<KpiAssess> {


    List<KpiAssess> getConfigs(@Param("filterId") Long filterId,
                               @Param("type") Integer type,
                               @Param("groupId") Long groupId,
                               @Param("postId") Long postId,
                               @Param("shopIds") List<Long> shopIds);
}
