package cn.fw.morax.dao.kpi;


import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorParam;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorParamVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 绩效组指标参数 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
@Repository
public interface KpiGroupIndicatorParamDao extends BaseMapper<KpiGroupIndicatorParam> {

    List<KpiGroupIndicatorParamVO> getParamVos(@Param("kpiGroupIndicatorId") Long kpiGroupIndicatorId);

}
