package cn.fw.morax.domain.bo;

import cn.fw.morax.domain.enums.ScoreWayEnum;
import lombok.*;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiIndicatorBO
 * @description : 绩效指标bo
 * @date : 2022-04-11 15:25
 */
@Data
@EqualsAndHashCode
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class StageIndicatorBO {

    /**
     * 编码
     */
    private String indicatorCode;

    /**
     * 阶段开始时间
     */
    private LocalDate beginTime;

    /**
     * 阶段结束时间
     */
    private LocalDate endTime;

    /**
     * 唯一id
     */
    private List<Long> shopIds;
    /**
     * 唯一id
     */
    private Long evalGroupId;
    /**
     * 唯一id
     */
    private Long evalGroupRankId;
    /**
     * 集团
     */
    private Long groupId;

}
