package cn.fw.morax.domain.bo.eval;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Set;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiGroupCalculableBO
 * @description : 需要计算绩效的考评组
 * @date : 2022-04-16 11:31
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class EvalGroupImportBO {

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 考评指标编码
     */
    private String evalIndicatorCode;

    /**
     * 考评指标导入过期时间
     */
    private LocalDateTime importExpireTime;

    /**
     * 需要上报的编码
     */
    private Set<Long> evalGroupIds;
}
