package cn.fw.morax.domain.bo.kpi;

import cn.fw.morax.domain.enums.EvalScopeEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiGroupCalculableRankBO
 * @description : 需要计算绩效排名的绩效组
 * @date : 2022-04-16 11:31
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EvalGroupCalculableRankBO {

    /**
     * 考评范围; 1:人员考评 2:门店考评
     */
//    private EvalScopeEnum scopeType;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 考评组id
     */
    private List<Long> evalGroupIds;
    /**
     * 考评组id
     */
//    private List<String> egcs;
    /**
     * 日期
     */
    private LocalDate localDate;
}
