package cn.fw.morax.domain.bo.salary;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryProjectBO
 * @description : 薪酬项bo
 * @date : 2022-04-22 17:07
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SalaryProjectBO {
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 薪酬项编码
     */
    private String salaryCode;
    /**
     * 集团id
     */
    private Long groupId;
}
