package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * <p>
 * 考评组
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupRankStage extends BaseAuditableTimeEntity<EvalGroupRankStage, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 阶段名称
     */
    private String name;

    /**
     * 考评排名组id
     */
    private Long evalGroupRankId;

    /**
     * 生效时间
     */
    private LocalDate beginTime;

    /**
     * 结束时间
     */
    private LocalDate overTime;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;


}
