package cn.fw.morax.domain.dto;

import cn.fw.morax.domain.db.eval.EvalGroup;
import cn.fw.morax.domain.db.eval.EvalShopPool;
import cn.fw.morax.domain.db.eval.EvalUserPool;
import cn.fw.morax.domain.db.kpi.KpiGroup;
import cn.fw.morax.domain.db.kpi.KpiGroupRank;
import cn.fw.morax.domain.db.kpi.KpiPool;
import lombok.Data;

import java.util.List;
import java.util.Set;

/**
 * @author jiangchao
 * @des: 绩效报表
 * @date 2022/11/29 14:25
 */
@Data
public class GroupCalEvalReportDTO {

    private List<EvalUserPool> userPools;

    private List<EvalShopPool> shopPools;

    private List<EvalGroup> evalGroups;

    private Set<Long> shopIds;

//    private List<EvalGroup> shopEvalGroups;

    private Long groupId;

    public GroupCalEvalReportDTO() {
    }

    public GroupCalEvalReportDTO(List<EvalGroup> evalGroups, Long groupId) {
        this.evalGroups = evalGroups;
        this.groupId = groupId;
    }



    //    public GroupCalEvalReportDTO(List<EvalUserPool> userPools, List<EvalGroup> userEvalGroups, Long groupId) {
//        this.userPools = userPools;
//        this.userEvalGroups = userEvalGroups;
//        this.groupId = groupId;
//    }
//
//    public GroupCalEvalReportDTO(List<EvalShopPool> shopPools, List<EvalGroup> shopEvalGroups, Long groupId) {
//        this.shopPools = shopPools;
//        this.shopEvalGroups = shopEvalGroups;
//        this.groupId = groupId;
//    }
}
