package cn.fw.morax.domain.dto.eval;

import cn.fw.common.web.annotation.LoginContextField;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 获取岗位下的考评指标
 */
@Data
public class EvalShopIndicatorsDTO {

    /**
     * true 包含组合指标
     * false 不包含组合指标,只返回单个指标
     */
    private Boolean withCombination;

    /**
     * 集团id
     *
     * @ignore
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}