package cn.fw.morax.domain.dto.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ShopsPostQueryDTO {

    /**
     * 门店id
     */
    @NotNull()
    private List<Long> shopIds;

    /**
     * 岗位id
     */
    @NotNull()
    private Long postId;

}
