package cn.fw.morax.domain.dto.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ShopsPostsQueryDTO {

    /**
     * 门店id
     */
    @NotNull(message = "门店不能为空")
    private List<Long> shopIds;

    /**
     * 岗位id
     */
    @NotNull(message = "岗位不能为空")
    private List<Long> postIds;

}
