package cn.fw.morax.domain.vo;

import lombok.Data;

import java.util.List;

/**
 * @author jiangchao
 * @des:
 * @date 2023/5/22 11:35
 */
@Data
public class EvalPoolVO {

    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 考评选择
     */
    private List<EvalSelectorVO> evalSelectors;

    public EvalPoolVO() {
    }

    public EvalPoolVO(Long userId, String userName, List<EvalSelectorVO> evalSelectors) {
        this.userId = userId;
        this.userName = userName;
        this.evalSelectors = evalSelectors;
    }
}
