package cn.fw.morax.domain.vo.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 人员质量考核奖惩
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiAssessStaffVO {


    /**
     * 用户名
     */
    private String userName;

    /**
     * 用户id
     */
    private Long userId;


    /**
     * 奖惩
     */
    private List<KpiAssessPenaltyVO> penalties;


}
