package cn.fw.morax.rpc.ehr.dto;

import lombok.Data;

import java.util.List;

/**
 * @author jiangchao
 * @des: 管理岗位大类
 * @date 2022/11/29 11:19
 */
@Data
public class ManagerStaffDTO {

    /**
     * 员工id
     */
    private Long staffId;

    /**
     * 员工名
     */
    private String staffName;

    /**
     * 管理岗位大类
     * <span>
     *     已废弃，管理层上线一周后删除此属性
     * </span>
     */
    @Deprecated
    private Integer postType;

    /**
     * 管理范围岗位
     */
    private Long postId;

    /**
     * 管理角色范围
     */
    private List<ManagerStaffRoleDTO> roleList;


    /**
     * 管理门店范围
     */
    private List<ManagerStaffShopDTO> shopList;

}
