package cn.fw.morax.rpc.ehr.dto;

import cn.fw.ehr.sdk.api.result.PostRoleVo;
import lombok.Data;

import java.util.List;

@Data
public class PostInfoDTO {
    /**
     * 岗位id
     */
    private Long id;
    /**
     * 岗位名称
     */
    private String postName;

//    /**
//     * 岗位类型
//     */
//    private Integer postType;

    /**
     * 基础角色
     */
    private String roleCode;

    /**
     * 基础角色名称
     */
    private String roleName;

    /**
     * 岗位限制人数
     */
    private Integer limitNum;

    /**
     * 角色范围
     */
    private List<PostRoleDTO> roleList;
}
