package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalGroupIndicatorTargetHitLog;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorTargetHitLogVO;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评指标达成目标记录 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupIndicatorTargetHitLogService extends IService<EvalGroupIndicatorTargetHitLog> {

    /**
     * 获取某月指标数据
     *
     * @param referId
     * @param monthly
     * @param poolIds
     * @return
     */
    List<EvalGroupIndicatorTargetHitLogVO> getIndicatorData(Long referId, YearMonth monthly,
                                                            IndicatorTypeEnum targetType, Set<Long> poolIds, EvalScopeEnum evalScope);

}
