package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalGroupRewardTargetHitLog;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorTargetHitLogVO;
import cn.fw.morax.domain.vo.eval.EvalGroupRewardTargetHitLogVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评奖惩 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupRewardTargetHitLogService extends IService<EvalGroupRewardTargetHitLog> {

    /**
     * 获取某月指标数据
     *
     * @param referId
     * @param monthly
     * @return
     */
    List<EvalGroupRewardTargetHitLogVO> getIndicatorData(Long referId, YearMonth monthly, IndicatorTypeEnum targetType, Set<Long> poolIds, EvalScopeEnum evalScope);

}
