package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalIndicator;
import cn.fw.morax.domain.db.kpi.Indicators;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.lang.NonNull;

/**
 * <p>
 * 考评指标 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-09
 */
public interface EvalIndicatorService extends IService<EvalIndicator> {

    /**
     * 通过指标编码查询指标数据
     *
     * @param indicatorCode  指标编码 NonNull
     * @param checkEffective 是否进行有效校验
     * @return
     */
    EvalIndicator queryByCode(@NonNull final String indicatorCode, final Boolean checkEffective);

}
