package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalShopPool;
import cn.fw.morax.domain.dto.query.EvalPoolQueryDTO;
import cn.fw.morax.domain.vo.eval.EvalShopPoolVO;
import cn.fw.morax.domain.vo.eval.EvalUserPoolVO;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 考评池 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalShopPoolService extends IService<EvalShopPool> {

    List<EvalShopPool> getLastPool(YearMonth monthly, Long groupId);

    long queryPagePoolTotal(EvalPoolQueryDTO dto);

    /**
     * 考评池分页查询
     *
     * @param dto
     * @return
     */
    List<EvalShopPoolVO> queryPagePool(EvalPoolQueryDTO dto);
}
