package cn.fw.morax.service.data.eval.impl;

import cn.fw.morax.dao.eval.EvalPoolRewardDetailDao;
import cn.fw.morax.domain.db.eval.EvalPoolRewardDetail;
import cn.fw.morax.domain.vo.eval.EvalPoolRewardDetailVO;
import cn.fw.morax.service.data.eval.EvalPoolRewardDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评明细 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2023-02-11
 */
@Service
public class EvalPoolRewardDetailServiceImpl extends ServiceImpl<EvalPoolRewardDetailDao, EvalPoolRewardDetail>
        implements EvalPoolRewardDetailService {

    @Override
    public List<EvalPoolRewardDetailVO> getStaffRewardValues(Long evalPoolId, Long evalGroupId, LocalDate localDate) {
        return this.getBaseMapper().getStaffRewardValues(evalPoolId, evalGroupId, localDate);
    }

    @Override
    public EvalPoolRewardDetailVO getStaffRewardValue(Long evalPoolId, Long evalGroupRewardId, LocalDate localDate) {
        return this.getBaseMapper().getStaffRewardValue(evalPoolId, evalGroupRewardId, localDate);
    }
}
