package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.dao.kpi.KpiGroupIndicatorTargetHitLogDao;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorTargetHitLog;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorTargetHitLogVO;
import cn.fw.morax.service.data.kpi.KpiGroupIndicatorTargetHitLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * 目标命中记录
 *
 * @author : kurisu
 * @version : 2.0
 * @className : KpiGroupIndicatorTargetHitLogServiceImpl
 * @description : 目标命中记录
 * @date : 2022-12-15 10:26
 */
@Service
@Slf4j
public class KpiGroupIndicatorTargetHitLogServiceImpl extends ServiceImpl<KpiGroupIndicatorTargetHitLogDao, KpiGroupIndicatorTargetHitLog>
        implements KpiGroupIndicatorTargetHitLogService {

    @Override
    public List<KpiGroupIndicatorTargetHitLogVO> getIndicatorData(Long referId, YearMonth monthly, IndicatorTypeEnum targetType, Set<Long> userIds) {
        return this.getBaseMapper().getIndicatorData(referId, monthly, targetType, userIds);
    }
}
