package cn.fw.morax.service.data.salary;

import cn.fw.morax.domain.db.salary.SalaryGroupProjectSettin;
import cn.fw.morax.domain.db.salary.SalaryPool;
import cn.fw.morax.domain.vo.salary.SalaryGroupProjectSettinVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryGroupProjectSettinService
 * @description : 薪酬项目配置
 * @date: 2022-04-06 17:05
 */
public interface SalaryGroupProjectSettinService extends IService<SalaryGroupProjectSettin> {

    /**
     * 获取薪酬匹配的阶梯信息
     *
     * @param salaryPoolId
     * @param salaryGroupProjectId
     * @return
     */
    List<SalaryGroupProjectSettinVO> getHitSettings(Long salaryPoolId, Long salaryGroupProjectId, LocalDate localDate);

}
