package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.dao.salary.SalaryGroupUserDao;
import cn.fw.morax.domain.db.salary.SalaryGroupUser;
import cn.fw.morax.service.data.salary.SalaryGroupUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.YearMonth;
import java.util.Date;

/**
 * @author : kurisu
 * @className : SalaryGroupUserServiceImpl
 * @description : 薪酬组人员
 * @date: 2022-04-06 17:05
 */
@Service
@Slf4j
public class SalaryGroupUserServiceImpl extends ServiceImpl<SalaryGroupUserDao, SalaryGroupUser> implements SalaryGroupUserService {
    @Override
    public SalaryGroupUser queryUserByPostShopAndUserId(final Long userId, final Long postId, final Long shopId, final Date dataDate) {
        return this.getBaseMapper().queryUserByPostShopAndUserId(userId, postId, shopId, dataDate);
    }

    @Override
    public SalaryGroupUser getMonthLastData(String sgc, Long userId, YearMonth monthly) {
        return this.getBaseMapper().getMonthLastData(sgc, userId, monthly);
    }
    @Override
    public SalaryGroupUser getMonthFirstData(String sgc, Long userId, YearMonth monthly) {
        return this.getBaseMapper().getMonthFirstData(sgc, userId, monthly);
    }
}
