package cn.fw.morax.common.pojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExcelFieldData {

    /**
     * 实体名称（默认为字段名）
     *
     * @return
     */
    private String name;

    /**
     * excel表头名称
     *
     * @return
     */
    private String title;

    /**
     * sort 排序
     *
     * @return
     */
    private Integer sort;

    /**
     * charSize 字符长度
     *
     * @return
     */
    private Integer charSize;

}
