package cn.fw.morax.common.pojo.event;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.YearMonth;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class KpiStarAdjustmentEvent {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 调整月份
     */
    private YearMonth yearMonth;
}
