package cn.fw.morax.dao;


import cn.fw.morax.domain.db.CombineIndicatorParam;
import cn.fw.morax.domain.vo.CombineIndicatorParamVO;
import cn.fw.morax.domain.vo.kpi.IndicatorsAndEvalIndicatorsVO;
import cn.fw.morax.domain.vo.kpi.IndicatorsVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 组合指标参数 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-27
 */
public interface CombineIndicatorParamDao extends BaseMapper<CombineIndicatorParam> {

    List<IndicatorsVO> queryByCombineId(@Param("id") Long id, @Param("codeType") Integer codeType);

    List<IndicatorsVO> getCombines(@Param("groupId") Long groupId,@Param("combineType") Integer combineType,@Param("dataScopeTypes") Integer dataScopeTypes);

//    List<CombineIndicatorParamVO> queryEvalIndicatorsByCombineId(@Param("id") Long id, @Param("codeType") Long codeType);

    List<IndicatorsVO> queryByCombineIds(@Param("ids") List<Long> ids, @Param("codeType") Integer codeType);


    /**
     * 查询组合数据
     * @param id
     * @return
     */
    List<IndicatorsAndEvalIndicatorsVO> queryIndicatorsAndEvalIndicatorsByCombineId(@Param("id") Long id);
}
