package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalGroupIndicatorParam;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorParamVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 考评组指标参数 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupIndicatorParamDao extends BaseMapper<EvalGroupIndicatorParam> {

    /**
     * 考评指标参数
     * @param evalGroupIndicatorId
     * @param codeType
     * @return
     */
    List<EvalGroupIndicatorParamVO> getKpiParamVos(Long evalGroupIndicatorId, Integer codeType);

    /**
     * 绩效指标参数
     * @param evalGroupIndicatorId
     * @param codeType
     * @return
     */
    List<EvalGroupIndicatorParamVO> getEvalParamVos(Long evalGroupIndicatorId, Integer codeType);

}
