package cn.fw.morax.dao.eval;


import cn.fw.morax.domain.db.eval.EvalGroupUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.YearMonth;

/**
 * <p>
 * 考评组人员 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupUserDao extends BaseMapper<EvalGroupUser> {

    /**
     * 获取某月最近的考评组人员数据
     *
     * @param evalGroupId
     * @param yearMonth
     * @return
     */
    EvalGroupUser getMonthLastData(@Param("evalGroupId") Long evalGroupId,
                                  @Param("userId") Long userId,
                                  @Param("yearMonth") YearMonth yearMonth);

}
