package cn.fw.morax.dao.kpi;


import cn.fw.morax.domain.db.kpi.KpiAssessPenalty;
import cn.fw.morax.domain.db.kpi.KpiAssessPenaltyStaff;
import cn.fw.morax.domain.vo.kpi.KpiAssessPenaltyStaffVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 人员质量考核奖惩 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
public interface KpiAssessPenaltyStaffDao extends BaseMapper<KpiAssessPenaltyStaff> {

    List<KpiAssessPenaltyStaffVO> getAssesses(@Param("kpiAssessPenaltyIds") List<Long> kpiAssessPenaltyIds);
}
