package cn.fw.morax.dao.salary;


import cn.fw.morax.domain.db.salary.IncomeCompensation;
import cn.fw.morax.domain.db.salary.IncomeCompensationList;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 收入补偿 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-09
 */
public interface IncomeCompensationListDao extends BaseMapper<IncomeCompensationList> {

    /**
     * 获取重复配置
     *
     * @param postId
     * @param shopIds
     * @return
     */
    List<IncomeCompensationList> getRepeatConfigs(@Param("postId") Long postId,
                                              @Param("shopIds") List<Long> shopIds,
                                              @Param("yearMonths") List<String> yearMonths);

}
