package cn.fw.morax.dao.salary;


import cn.fw.morax.domain.db.salary.SalaryGroupProjectParam;
import cn.fw.morax.domain.vo.salary.SalaryGroupProjectParamVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 薪酬组薪酬项目参数 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
public interface SalaryGroupProjectParamDao extends BaseMapper<SalaryGroupProjectParam> {

    /**
     * 获取
     * @param salaryGroupId
     * @return
     */
    List<SalaryGroupProjectParamVO> getParams(@Param("salaryGroupId") Long salaryGroupId,
                                              @Param("salaryGroupProjectId") Long salaryGroupProjectId);

}
