package cn.fw.morax.dao.salary;


import cn.fw.morax.domain.db.salary.SalaryGroupProjectPrecondition;
import cn.fw.morax.domain.vo.salary.SalaryGroupProjectPreconditionVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 薪酬组薪酬项目前置条件 Mapper 接口
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
public interface SalaryGroupProjectPreconditionDao extends BaseMapper<SalaryGroupProjectPrecondition> {

    List<SalaryGroupProjectPreconditionVO> getConds(@Param("salaryGroupId") Long SalaryGroupProject);

    /**
     * 条件命中记录
     *
     * @param salaryGroupProjectId
     * @param userId
     * @param dataDate
     * @return
     */
    List<SalaryGroupProjectPreconditionVO> getHitVos(@Param("salaryGroupProjectId") Long salaryGroupProjectId,
                                                     @Param("userId") Long userId,
                                                     @Param("dataDate") LocalDate dataDate);
}
