package cn.fw.morax.domain.bo.eval;

import cn.fw.morax.domain.enums.ScoreWayEnum;
import lombok.*;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : evalIndicatorBO
 * @description : 考评指标bo
 * @date : 2022-04-11 15:25
 */
@Data
@EqualsAndHashCode
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EvalGroupIndicatorBO {
    /**
     * 考评组指标配置id
     */
    private Long evalGroupIndicatorId;
    /**
     * 考评组id
     */
    private Long evalGroupId;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 基础考评分
     */
    private Integer baseScore;
    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private ScoreWayEnum scoreWay;
    /**
     * 集团id
     */
    private Long groupId;
}
