package cn.fw.morax.domain.bo.kpi;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

/**
 * @author : kurisu
 * @version : 2.0
 * @className : UserIndicatorBO
 * @description : 人员绩效值
 * @date : 2022-04-13 17:21
 */
@Data
public class UserIndicatorBO {
    /**
     * 指标编码
     */
    private String indicatorCode;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 指标值类型
     */
    private Integer valueType;
    /**
     * 指标对应值
     */
    private Map<String, BigDecimal> value;
    /**
     * 数据日期
     */
    private Date dataDate;
    /**
     * 集团id
     */
    private Long groupId;
}
