package cn.fw.morax.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @date : 2022-4-2
 * @desc : 指标库
 */
@Data
public class CombineIndicatorAbleDTO {

    /**
     * 组合指标id
     */
    @NotNull(message = "组合指标id不能为空")
    private Long id;

    /**
     * 启用禁用
     */
    @NotNull(message = "启用禁用")
    private Boolean enable;

}