package cn.fw.morax.domain.dto.kpi;

import cn.fw.morax.domain.enums.ApplicableRoleEnum;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-2
 * @desc : 指标库
 */
@Data
public class IndicatorAbleDTO {

    /**
     * 指标id
     */
    @NotNull(message = "指标id不能为空")
    private Long indicatorId;

    /**
     * 启用禁用
     */
    @NotNull(message = "启用禁用")
    private Boolean enable;

}