package cn.fw.morax.domain.dto.kpi;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 获取岗位下的绩效组指标
 */
@Data
public class KpiConfigPostIndicatorsDTO {

    @NotNull(message = "岗位id不能为空")
    private  Long postId;

    @NotNull(message = "适用范围类型不能为空")
    private  Integer applicableType;

    /**
     * true 包含组合指标
     * false 不包含组合指标,只返回单个指标
     */
    private Boolean withCombination;

}