package cn.fw.morax.domain.vo.eval;

import cn.fw.morax.domain.enums.KpiIgnoreCauseEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 考评组人员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EvalIndicatorImportUserVO {

//    /**
//     * id
//     */
//    private Long id;
//    /**
//     * 考评组编码
//     */
//    private String egc;
    /**
     * 考评组id
     */
    private Long evalGroupId;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 人员名称
     */
    private String userName;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 在职门店
     */
    private String shopName;
    /**
     * 是否计不入绩效考核
     */
    private Boolean ignored;
    /**
     * 不计入原因;枚举待定
     */
    private KpiIgnoreCauseEnum ignoreCause;
    /**
     * 不计入原因描述
     */
    private String ignoreCauseDesc;
//    /**
//     * 开始考核时间
//     */
//    private LocalDate anticipatedDate;
//    /**
//     * 备注
//     */
//    private String remark;
//    /**
//     * 数据日期
//     */
//    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 是否是试用人员
     */
    private Boolean probationer;

    /**
     * 是否上报数据
     */
    private Boolean report;
}