package cn.fw.morax.domain.vo.kpi;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author jiangchao
 * @des: 人员质量考核详情
 * @date 2023/3/24 14:02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiAssessResultVO {

    /**
     * 星级员工
     */
    private List<KpiAssessPenaltyStaffVO> starStaffs;

    /**
     * 转正保护期员工
     */
    private List<KpiAssessPenaltyStaffVO> turnPositiveStaffs;

}
