package cn.fw.morax.rpc.erp.dto;

import lombok.Data;

/**
 * @author jiangchao
 * @des:
 * @date 2023/3/24 16:30
 */
@Data
public class RoleInfoDTO {

    /**
     * id
     */
    private Long id;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色编码
     */
    private String roleCode;

    /**
     * 数据范围类型
     */
    private String authRange;

    /**
     * 数据范围输入类型
     */
    private Integer userRangeType;

    /**
     * 数据范围唯一性类型
     */
    private Integer roleRangeType;

    /**
     * 角色类型{@link cn.fw.erp.sdk.api.enums.RoleTypeEnum}
     */
    private Integer roleType;
    /**
     * 用途类型{@link cn.fw.erp.sdk.api.enums.RoleUseTypeEnum}
     */
    private Integer useType;
    /**
     * 描述
     */
    private String remark;

    /**
     * 角色状态[1:启用 2:禁用]
     */
    private Integer status;
}
