package cn.fw.morax.sdk.dto.salary;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬通用设置
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SalaryGeneralSettinResult {
    /**
     * 管理层可见
     */
    private Boolean leaderVisibility;
    /**
     * 可申诉开始日期;
     */
    private Integer startDateOfAppeal;
    /**
     * 可申诉结束日期;
     */
    private Integer endDateOfAppeal;
    /**
     * 薪资发放日期;取值1-28（每月）
     */
    private Integer payoffDate;
    /**
     * 薪资发放公户限额;元 0元则不限制
     */
    private Integer payoffLimit;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}