package cn.fw.morax.service.data;

import cn.fw.morax.domain.db.SettingDraft;
import cn.fw.morax.domain.enums.SettingDraftStatusEnum;
import cn.fw.morax.domain.enums.SettingDraftTypeEnum;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * 草稿
 *
 */
public interface SettingDraftService extends IService<SettingDraft> {

    /**
     * 门店岗位重复的审批中数据
     *
     * @param postId
     * @param shopIds
     * @param type
     * @param status
     * @param beginTime
     * @return
     */
    List<SettingDraft> getRepeatApprovals(Long postId,
                                          List<Long> shopIds,
                                          SettingDraftTypeEnum type,
                                          SettingDraftStatusEnum status,
                                          LocalDate beginTime);

}
