package cn.fw.morax.service.data.eval;

import cn.fw.morax.domain.db.eval.EvalGroupIndicatorHitLog;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorHitLog;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;
import java.util.Optional;

/**
 * 指标配置命中记录
 *
 * @author : kurisu
 * @version : 2.0
 * @className : EvalGroupIndicatorHitLogService
 * @description : 指标配置命中记录
 * @date : 2022-12-15 10:07
 */
public interface EvalGroupIndicatorHitLogService extends IService<EvalGroupIndicatorHitLog> {

    /**
     * 保存数据存在则覆盖
     *
     * @param evalGroupIndicatorHitLog
     */
    void saveUnique(EvalGroupIndicatorHitLog evalGroupIndicatorHitLog);

    Optional<EvalGroupIndicatorHitLog> getHitLog(Long evalGroupIndicatorId, Long poolId, EvalScopeEnum scopeType, LocalDate dataDate);

    List<EvalGroupIndicatorHitLog> getHitLogs(List<Long> evalGroupIndicatorIds, List<Long> poolIds, EvalScopeEnum scopeType, LocalDate dataDate);
}
