package cn.fw.morax.service.data.eval;


import cn.fw.morax.domain.db.eval.EvalGroupIndicatorParam;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorParamVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 考评组指标参数 服务类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
public interface EvalGroupIndicatorParamService extends IService<EvalGroupIndicatorParam> {

    /**
     * 获取参数，已处理占比、目标值百分数
     *
     * @param evalGroupIndicatorId
     * @return
     */
    List<EvalGroupIndicatorParamVO> getParamVos(Long evalGroupIndicatorId);

}
