package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalGroupIndicatorDao;
import cn.fw.morax.domain.bo.StageIndicatorBO;
import cn.fw.morax.domain.bo.eval.EvalGroupIndicatorBO;
import cn.fw.morax.domain.db.eval.EvalGroupIndicator;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.service.data.eval.EvalGroupIndicatorService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 绩效组指标项 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupIndicatorServiceImpl extends ServiceImpl<EvalGroupIndicatorDao, EvalGroupIndicator>
        implements EvalGroupIndicatorService {

    @Override
    public Set<EvalGroupIndicatorBO> allIndicators(LocalDate dataDate, Long evalGroupId) {
        return this.baseMapper.allIndicators(dataDate, evalGroupId);
    }

    @Override
    public List<StageIndicatorBO> getStageIndicators(LocalDate dataDate) {
        return this.baseMapper.getStageIndicators(dataDate, IndicatorCodeTypeEnum.INDICATOR.getValue());
    }
}
