package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalGroupIndicatorTargetHitLogDao;
import cn.fw.morax.domain.db.eval.EvalGroupIndicatorTargetHitLog;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupIndicatorTargetHitLogVO;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import cn.fw.morax.service.data.eval.EvalGroupIndicatorTargetHitLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 考评指标达成目标记录 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupIndicatorTargetHitLogServiceImpl
        extends ServiceImpl<EvalGroupIndicatorTargetHitLogDao, EvalGroupIndicatorTargetHitLog>
        implements EvalGroupIndicatorTargetHitLogService {
    @Override
    public List<EvalGroupIndicatorTargetHitLogVO> getIndicatorData(Long referId, YearMonth monthly, IndicatorTypeEnum targetType, Set<Long> poolIds, EvalScopeEnum scopeType) {
        return this.getBaseMapper().getIndicatorData(referId, monthly, targetType.getValue(), poolIds, scopeType.getValue());
    }
}
