package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalGroupRewardHitLogDao;
import cn.fw.morax.dao.eval.EvalGroupRewardTargetHitLogDao;
import cn.fw.morax.domain.db.eval.EvalGroupRewardHitLog;
import cn.fw.morax.domain.db.eval.EvalGroupRewardTargetHitLog;
import cn.fw.morax.domain.vo.eval.EvalGroupRewardHitLogVO;
import cn.fw.morax.service.data.eval.EvalGroupRewardHitLogService;
import cn.fw.morax.service.data.eval.EvalGroupRewardTargetHitLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评指标达成目标记录 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupRewardHitLogServiceImpl
        extends ServiceImpl<EvalGroupRewardHitLogDao, EvalGroupRewardHitLog>
        implements EvalGroupRewardHitLogService {

    @Override
    public List<EvalGroupRewardHitLogVO> getUserHitLogs(Long evalGroupRewardId, LocalDate dataDate) {
        return this.baseMapper.getUserHitLogs(evalGroupRewardId, dataDate);
    }

    @Override
    public List<EvalGroupRewardHitLogVO> getShopHitLogs(Long evalGroupRewardId, LocalDate dataDate) {
        return this.baseMapper.getShopHitLogs(evalGroupRewardId, dataDate);
    }
}
