package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalGroupRewardPreconditionHitLogDao;
import cn.fw.morax.domain.db.eval.EvalGroupRewardPreconditionHitLog;
import cn.fw.morax.domain.enums.EvalScopeEnum;
import cn.fw.morax.domain.vo.eval.EvalGroupRewardPreconditionVO;
import cn.fw.morax.service.data.eval.EvalGroupRewardPreconditionHitLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评奖惩条件记录 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupRewardPreconditionHitLogServiceImpl
        extends ServiceImpl<EvalGroupRewardPreconditionHitLogDao, EvalGroupRewardPreconditionHitLog>
        implements EvalGroupRewardPreconditionHitLogService {

    @Override
    public List<EvalGroupRewardPreconditionVO> getHitVos(Long poolId, EvalScopeEnum scopeType, Long evalGroupRewardId, LocalDate dataDate) {
        List<EvalGroupRewardPreconditionVO> preconditionVOS =  this.baseMapper.getHitVos(poolId, evalGroupRewardId, dataDate, scopeType.getValue());
        preconditionVOS.stream().forEach(EvalGroupRewardPreconditionVO::convertToPercent);
        return preconditionVOS;
    }
}
