package cn.fw.morax.service.data.impl;

import cn.fw.morax.dao.SettingDraftDao;
import cn.fw.morax.domain.db.SettingDraft;
import cn.fw.morax.domain.enums.SettingDraftStatusEnum;
import cn.fw.morax.domain.enums.SettingDraftTypeEnum;
import cn.fw.morax.service.data.SettingDraftService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * 薪资发放记录
 *
 * @author : kurisu
 * @version : 1.0
 * @className : PayrollRecordServiceImpl
 * @description : 薪资发放记录
 * @date : 2022-05-07 10:55
 */
@Service
public class SettingDraftServiceImpl extends ServiceImpl<SettingDraftDao, SettingDraft> implements SettingDraftService {

    @Override
    public List<SettingDraft> getRepeatApprovals(Long postId,
                                                 List<Long> shopIds,
                                                 SettingDraftTypeEnum type,
                                                 SettingDraftStatusEnum status,
                                                 LocalDate beginTime) {
        return this.baseMapper.getRepeatApprovals(postId,shopIds, type, status, beginTime);
    }
}
