package cn.fw.morax.service.data.kpi;

import cn.fw.morax.domain.db.kpi.KpiGroupIndicatorTargetHitLog;
import cn.fw.morax.domain.enums.IndicatorTypeEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorTargetHitLogVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;
import java.util.Set;

/**
 * @author : kurisu
 * @version : 2.0
 * @className : KpiGroupIndicatorTargetHitLogService
 * @description : 目标命中记录
 * @date : 2022-12-15 10:21
 */
public interface KpiGroupIndicatorTargetHitLogService extends IService<KpiGroupIndicatorTargetHitLog> {

    /**
     * 获取某月指标数据
     *
     * @param referId
     * @param monthly
     * @param userIds
     * @return
     */
    List<KpiGroupIndicatorTargetHitLogVO> getIndicatorData(Long referId, YearMonth monthly, IndicatorTypeEnum targetType, Set<Long> userIds);

}
