package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.dao.kpi.KpiAssessPenaltyDao;
import cn.fw.morax.dao.kpi.KpiAssessPenaltyStaffDao;
import cn.fw.morax.domain.db.kpi.KpiAssessPenalty;
import cn.fw.morax.domain.db.kpi.KpiAssessPenaltyStaff;
import cn.fw.morax.domain.vo.kpi.KpiAssessPenaltyStaffVO;
import cn.fw.morax.service.data.kpi.KpiAssessPenaltyService;
import cn.fw.morax.service.data.kpi.KpiAssessPenaltyStaffService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

@Service
@Slf4j
@AllArgsConstructor
public class KpiAssessPenaltyStaffServiceImpl extends ServiceImpl<KpiAssessPenaltyStaffDao, KpiAssessPenaltyStaff> implements KpiAssessPenaltyStaffService {
    @Override
    public List<KpiAssessPenaltyStaffVO> getAssesses(List<Long> kpiAssessPenaltyIds) {
        return this.baseMapper.getAssesses(kpiAssessPenaltyIds);
    }
}
