package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.dao.kpi.KpiAssessDao;
import cn.fw.morax.dao.kpi.KpiStarRuleDao;
import cn.fw.morax.domain.db.kpi.KpiAssess;
import cn.fw.morax.domain.db.kpi.KpiStarRule;
import cn.fw.morax.domain.dto.query.KpiAssessQueryDTO;
import cn.fw.morax.domain.enums.KpiAssessTypeEnum;
import cn.fw.morax.domain.vo.kpi.KpiAssessVO;
import cn.fw.morax.service.data.kpi.KpiAssessService;
import cn.fw.morax.service.data.kpi.KpiStarRuleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
@AllArgsConstructor
public class KpiAssessServiceImpl extends ServiceImpl<KpiAssessDao, KpiAssess> implements KpiAssessService {

    @Override
    public List<KpiAssess> getConfigs(Long filterId, KpiAssessTypeEnum type, Long groupId, Long postId, List<Long> shopIds) {
        return this.baseMapper.getConfigs(filterId, type.getValue(), groupId, postId, shopIds);
    }
}
