package cn.fw.morax.service.data.salary;

import cn.fw.morax.domain.db.salary.SalaryGroupProject;
import cn.fw.morax.domain.db.salary.SalaryPool;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryGroupProjectService
 * @description : 薪酬组薪酬项目
 * @date: 2022-04-06 17:05
 */
public interface SalaryGroupProjectService extends IService<SalaryGroupProject> {

    /**
     * 查询薪酬项目
     *
     * @param salaryGroupId
     * @param salaryGroupProjectIds
     * @return
     */
    List<SalaryGroupProject> queryByProjectIds(Long salaryGroupId, List<Long> salaryGroupProjectIds);

    SalaryGroupProject getAllDataById(Long id, Long salaryGroupId);
}
