package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.dao.salary.IncomeCompensationDao;
import cn.fw.morax.domain.db.salary.IncomeCompensation;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import cn.fw.morax.service.data.salary.IncomeCompensationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 收入补偿 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-09
 */
@Service
public class IncomeCompensationServiceImpl extends ServiceImpl<IncomeCompensationDao, IncomeCompensation> implements IncomeCompensationService {

    @Override
    public List<IncomeCompensation> getRepeatConfigs(Long postId, List<Long> shopIds, SettingStatusEnum approveStatus) {
        return this.getBaseMapper().getRepeatConfigs(postId, shopIds, approveStatus.getValue());
    }
}
